@import "../../../../../assets/css/constants.scss";

.summary-container-mobile {
  display: none;
}
@media only screen and (max-width: 768px) {
  .summary-container-mobile {
    .button-primary {
      max-width: 125px;
      height: 40px;
      font-size: 15px;
      span {
        font-size: 15px;
      }
    }
    font-size: 15px;
    .button-primary {
      max-width: 125px;
      height: 40px;
      span {
        font-size: 15px;
      }
    }
    input {
      max-width: 100px;
    }
    h6 {
      margin: 20px 0;
      font-weight: bold;
    }
    .padding-left {
      padding-left: 10px;
    }
    .promotion {
      color: $SANED_BTN_PRIMARY;
      margin: 20px 0;
    }
    display: block;
    h5 {
      padding: 30px 0;
      border-bottom: 1px solid $SANED_SECONDARY_COLOR;
      border-top: 1px solid $SANED_SECONDARY_COLOR;
    }
    .item-details {
      display: flex;
      padding: 20px 0;
      border-bottom: 1px solid $SANED_SECONDARY_COLOR;
      .item-image {
        width: 80px;
        padding-right: 20px;
      }
      .item-desc {
        width: 70%;
        display: flex;
        flex-direction: column;
        .name {
          font-weight: bold;
        }
        .id {
          color: #747881;
        }
        .item-total {
          display: flex;
          align-items: center;
          padding: 5px 0;
          .key {
            display: flex;
            font-weight: bold;
          }
          .value {
            color: #747881;
            padding-left: 10px;
            div {
              display: flex;
              width: 100%;
              height: 35px;
              justify-content: center;
              button {
                padding: 0;
                min-width: 40px;
                border: 1px solid $SANED_SECONDARY_COLOR;
                border-radius: 0;
                box-shadow: none;
              }
              input {
                padding: 10px;
                text-align: center;
                min-width: 48px;
                border-top: 1px solid $SANED_SECONDARY_COLOR;
                max-width: 78px;
                border-left: none;
                border-right: none;
                box-shadow: none;
                border-bottom: 1px solid $SANED_SECONDARY_COLOR;
              }
            }
          }
        }
      }
    }
  }
  .remove {
    padding: 10px 0;
    font-weight: bold;
    cursor: pointer;
    font-size: 12px;
    color: grey;
  }
  .item-summary {
    display: none;
  }
}

.month-field::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

table {
  width: 100%;
  tr {
    border-bottom: 1px solid grey;
    /* padding-bottom: 20px; */
    height: 55px;
  }
  .item-list {
    height: 90px;
  }
  .description {
    display: flex;
    align-items: center;
    height: 90px;
    .item-image {
      width: 60px;
    }
    a {
      color: black;
      padding-left: 10px;
    }
  }
  td {
    .item-name {
      padding-left: 10px;
    }
    position: relative;
    text-align: center;
    .discount {
      position: absolute;
      bottom: -2px;
      right: 20px;
      font-size: 10px;
      color: grey;
    }
  }
  input {
    max-width: 100px;
  }
  .button-primary {
    max-width: 125px;
    height: 40px;
    font-size: 15px;
    span {
      font-size: 15px;
    }
  }
}
